improve test procedures for TeleMega
[fw/altos] / ao-bringup / turnon_telemega
index a8bf8697e5e394c7f70f9aa784d252e1a76f82b7..7b95bf20fb9eb4ea756564b439061a8f4517b6fb 100755 (executable)
@@ -1,17 +1,13 @@
 #!/bin/sh
 
-if [ -x ../ao-tools/ao-stmload/ao-stmload ]; then
-       STMLOAD=../ao-tools/ao-stmload/ao-stmload
-elif [ -x /usr/bin/ao-stmload ]; then
-       STMLOAD=/usr/bin/ao-stmload
+if [ -x /usr/bin/ao-flash-stm ]; then
+       FLASH_STM=/usr/bin/ao-flash-stm
 else
-       echo "Can't find ao-stmload!  Aborting."
+       echo "Can't find ao-flash-stm!  Aborting."
        exit 1
 fi
 
-if [ -x ../ao-tools/ao-usbload/ao-usbload ]; then
-       USBLOAD=../ao-tools/ao-usbload/ao-usbload
-elif [ -x /usr/bin/ao-usbload ]; then
+if [ -x /usr/bin/ao-usbload ]; then
        USBLOAD=/usr/bin/ao-usbload
 else
        echo "Can't find ao-usbload!  Aborting."
@@ -19,28 +15,28 @@ else
 fi
 
 VERSION=1.0
-#VERSION=0.1
+REPO=~/altusmetrumllc/Binaries
 
 echo "TeleMega v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2010 by Bdale Garbee.  Released under GPL v2"
+echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
 echo
 echo "Expectations:"
-echo "\tTeleMega v$VERSIOn powered from USB"
+echo "\tTeleMega v$VERSION powered from USB"
 echo "\t\twith ST-Link-V2 cabled to debug header"
 echo "\t\twith coax from UHF to frequency counter"
 echo
 echo -n "TeleMega-$VERSION serial number: "
 read SERIAL
 
-echo $STMLOAD
+echo $FLASH_STM
 
-$STMLOAD --raw ../src/telemega-v$VERSION/flash-loader/*.elf || exit 1
+$FLASH_STM $REPO/loaders/telemega-v$VERSION*.elf || exit 1
 
-sleep 2
+sleep 5
 
-$USBLOAD --serial=$SERIAL ../src/telemega-v$VERSION/*.ihx || exit 1
+$USBLOAD --serial=$SERIAL $REPO/telemega-v$VERSION*.elf || exit 1
 
-sleep 2
+sleep 5
 
 dev=`ao-list | awk '/TeleMega-v'"$VERSION"'/ { print $3; exit(0); }'`
 
@@ -58,4 +54,10 @@ echo 'E 0' > $dev
 
 SERIAL=$SERIAL ./cal-freq $dev
 
-./cal-accel $dev
+../ao-tools/ao-cal-accel/ao-cal-accel $dev
+
+echo 'E 1' > $dev
+
+./test-telemega
+
+exit $?